experimental::AFlightEntry(3)

NAME
experimental::AFlightEntry

SYNOPSIS

Inherits experimental::AEntry.

  Public Types
enum pilot { pic, sic, thirdPilot }

  Public Member Functions
AFlightEntry (const AFlightEntry &pe)=default
AFlightEntry & operator= (const AFlightEntry &pe)=default
AFlightEntry (int row_id)
AFlightEntry (TableData table_data)
const QString summary ()
Returs a summary of the flight data, if struct holds data.
const QString getRegistration ()
Returns the tails' registration from the database.
const QString getPilotName (pilot)
Returns the pilots name from the Database.

  Additional Inherited Members

Member Function Documentation

  const QString experimental::AFlightEntry::getPilotName (pilot pilot_)

Returns the pilots name from the Database.

Parameters
    pilot_number - 1=pic, 2=second Pilot, 3 = third Pilot

Returns

  const QString experimental::AFlightEntry::summary ()

Returs a summary of the flight data, if struct holds data.

Returns

Author

Generated automatically by Doxygen for openPilotLog from the source code.